#!"C:\xampp\perl\bin\perl.exe" -w
#
# Copyright (C) Joseph Heenan 2005
#

use strict;
use CGI qw(:standard);

exit main();

sub fail
{
    my ($text) = @_;
    
    print "Content-Type: text/plain\r\n\r\n";
    
    print $text;
    
    exit 1;
}

sub main
{
    my $jpgfname;
    my $cmd;
    my $output;
    my $ret;
   
    $jpgfname = "capture.tmp.$$.jpg";
    $ENV{PATH} = "/usr/local/bin:/usr/bin:/bin";
    
    $cmd = "./grabimage.exe $jpgfname";
    $output = `$cmd`;
    $ret = $?;
    if ($ret != 0)
    {
        fail "Can't run '$cmd' ($ret): $output";
    }

    open(FH, $jpgfname) or fail "Can't open $jpgfname: $1 ($output)";
    binmode FH;

    print "Content-Type: image/jpeg\r\n\r\n";

    # read in the entire file
    my $oldsep = $/;
    undef $/;
    my $data = <FH>;
    $/ = $oldsep;
    close(FH);
    
    print $data;
    
    unlink $jpgfname;
}
